import { OnDestroy, OnInit } from '@angular/core';
import { Services } from '../services';
import { TraversingComponent } from '../traversing';
import { NavLink } from '../interfaces';
import { Target } from 'angular-traversal';
import { Subscription } from 'rxjs/Subscription';
export declare class GlobalNavigation extends TraversingComponent implements OnInit, OnDestroy {
    services: Services;
    links: NavLink[];
    refreshNavigation: Subscription;
    contextPath: string;
    constructor(services: Services);
    ngOnInit(): void;
    protected setLinks(links: NavLink[]): void;
    onTraverse(target: Target): void;
    ngOnDestroy(): void;
    protected setActiveLinks(contextPath: string): void;
}
