import { OnDestroy } from '@angular/core';
import { Services } from '../services';
import { TraversingComponent } from '../traversing';
import { NavTree } from '../interfaces';
import { Target } from 'angular-traversal';
import { Subscription } from 'rxjs/Subscription';
export declare class Navigation extends TraversingComponent implements OnDestroy {
    services: Services;
    root: string;
    depth: number;
    links: NavTree[];
    refreshNavigation: Subscription;
    constructor(services: Services);
    onTraverse(target: Target): void;
    ngOnDestroy(): void;
    private removeSubscriptions();
}
