import { EventEmitter } from '@angular/core';
import { APIService } from '../services/api.service';
import { DownloadFailedEvent, DownloadStartedEvent, DownloadSucceededEvent, NamedFile } from '../interfaces';
export declare class DownloadDirective {
    private api;
    download: NamedFile;
    onBeforeDownloadStarted: EventEmitter<DownloadStartedEvent>;
    onDownloadSuccess: EventEmitter<DownloadSucceededEvent>;
    onDownloadFailed: EventEmitter<DownloadFailedEvent>;
    constructor(api: APIService);
    onClick(event: Event): void;
    private static saveDownloaded(namedFile, blob);
}
