import { Injectable } from '@angular/core';
import { Meta, Title } from '@angular/platform-browser';
import { Traverser } from 'angular-traversal';
import { APIService } from './api.service';
import { AuthenticationService } from './authentication.service';
import { CommentsService } from './comments.service';
import { ConfigurationService } from './configuration.service';
import { NavigationService } from './navigation.service';
import { ResourceService } from './resource.service';
import { CacheService } from './cache.service';
var Services = (function () {
    function Services(api, authentication, cache, comments, configuration, navigation, resource, traverser, meta, title) {
        this.api = api;
        this.authentication = authentication;
        this.cache = cache;
        this.comments = comments;
        this.configuration = configuration;
        this.navigation = navigation;
        this.resource = resource;
        this.traverser = traverser;
        this.meta = meta;
        this.title = title;
    }
    Services.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    Services.ctorParameters = function () { return [
        { type: APIService, },
        { type: AuthenticationService, },
        { type: CacheService, },
        { type: CommentsService, },
        { type: ConfigurationService, },
        { type: NavigationService, },
        { type: ResourceService, },
        { type: Traverser, },
        { type: Meta, },
        { type: Title, },
    ]; };
    return Services;
}());
export { Services };
