import { OnInit, OnDestroy } from '@angular/core';
import { Target } from 'angular-traversal';
import { Services } from './services';
import 'rxjs/add/operator/takeUntil';
import { Subject } from 'rxjs/Subject';
export declare abstract class TraversingComponent implements OnInit, OnDestroy {
    services: Services;
    context: any;
    ngUnsubscribe: Subject<void>;
    constructor(services: Services);
    ngOnInit(): void;
    onTraverse(target: Target): void;
    ngOnDestroy(): void;
}
