import 'rxjs/add/operator/takeUntil';
import { Subject } from 'rxjs/Subject';
var TraversingComponent = (function () {
    function TraversingComponent(services) {
        this.services = services;
        this.ngUnsubscribe = new Subject();
    }
    TraversingComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.services.traverser.target
            .takeUntil(this.ngUnsubscribe)
            .subscribe(function (target) {
            _this.context = target.context;
            window.scrollTo(0, 0);
            _this.onTraverse(target);
        });
    };
    TraversingComponent.prototype.onTraverse = function (target) { };
    TraversingComponent.prototype.ngOnDestroy = function () {
        this.ngUnsubscribe.next();
        this.ngUnsubscribe.complete();
    };
    return TraversingComponent;
}());
export { TraversingComponent };
