import { EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Services } from '../services';
import { TraversingComponent } from '../traversing';
import { Target } from 'angular-traversal';
import { CommentItem, TextValue } from '../interfaces';
export declare class Comment {
    comment: CommentItem;
    formatText(text: TextValue): string;
}
export declare class CommentAdd {
    private services;
    path: string;
    onCreate: EventEmitter<boolean>;
    error: string;
    constructor(services: Services);
    add(form: NgForm): void;
}
export declare class Comments extends TraversingComponent {
    services: Services;
    comments: CommentItem[];
    contextPath: string;
    allowDiscussion: boolean;
    constructor(services: Services);
    onTraverse(target: Target): void;
    loadComments(): void;
}
