import { Observable } from 'rxjs/Observable';
import { APIService } from './api.service';
import { CacheService } from './cache.service';
export declare class CommentsService {
    protected api: APIService;
    protected cache: CacheService;
    constructor(api: APIService, cache: CacheService);
    add(path: string, data: Object): Observable<any>;
    delete(path: string): Observable<any>;
    get(path: string): Observable<any>;
    update(path: string, data: Object): Observable<any>;
}
