import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
export declare class LoadingService {
    status: BehaviorSubject<boolean>;
    private loadingIds;
    constructor();
    begin(id: string): void;
    finish(id: string): void;
    finish(): void;
    isLoading(id: string): Observable<boolean>;
}
export declare class LoadingInterceptor implements HttpInterceptor {
    protected loading: LoadingService;
    constructor(loading: LoadingService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
