import { Meta, Title } from '@angular/platform-browser';
import { Traverser } from 'angular-traversal';
import { APIService } from './api.service';
import { AuthenticationService } from './authentication.service';
import { CommentsService } from './comments.service';
import { ConfigurationService } from './configuration.service';
import { NavigationService } from './navigation.service';
import { ResourceService } from './resource.service';
import { CacheService } from './cache.service';
export declare class Services {
    api: APIService;
    authentication: AuthenticationService;
    cache: CacheService;
    comments: CommentsService;
    configuration: ConfigurationService;
    navigation: NavigationService;
    resource: ResourceService;
    traverser: Traverser;
    meta: Meta;
    title: Title;
    constructor(api: APIService, authentication: AuthenticationService, cache: CacheService, comments: CommentsService, configuration: ConfigurationService, navigation: NavigationService, resource: ResourceService, traverser: Traverser, meta: Meta, title: Title);
}
