var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component } from '@angular/core';
import { TraversingComponent } from '../traversing';
import { Services } from '../services';
var SearchView = (function (_super) {
    __extends(SearchView, _super);
    function SearchView(services) {
        var _this = _super.call(this, services) || this;
        _this.services = services;
        _this.results = [];
        _this.total = 0;
        return _this;
    }
    SearchView.prototype.onTraverse = function (target) {
        this.results = target.context.items;
        this.total = target.context.items_total;
    };
    SearchView.decorators = [
        { type: Component, args: [{
                    selector: 'plone-search',
                    template: "<h2>Search</h2>\n  <div>Total results: {{ total }}</div>\n  <ol>\n    <li *ngFor=\"let item of results\">\n      <a *ngIf=\"item['@type']!='File'\" [traverseTo]=\"item['@id']\">{{ item.title }}</a>\n      <a *ngIf=\"item['@type']=='File'\" [href]=\"item['@id']\">{{ item.title }}</a>\n    </li>\n  </ol>",
                },] },
    ];
    /** @nocollapse */
    SearchView.ctorParameters = function () { return [
        { type: Services, },
    ]; };
    return SearchView;
}(TraversingComponent));
export { SearchView };
