var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component } from '@angular/core';
import { Services } from '../services';
import { TraversingComponent } from '../traversing';
var ViewView = (function (_super) {
    __extends(ViewView, _super);
    function ViewView(services) {
        var _this = _super.call(this, services) || this;
        _this.services = services;
        return _this;
    }
    ViewView.prototype.onTraverse = function (target) {
        this.services.title.setTitle(target.context.title);
        this.services.meta.updateTag({
            name: 'description',
            content: target.context.description
        });
        if (target.context.text) {
            this.text = target.context.text.data;
        }
    };
    ViewView.decorators = [
        { type: Component, args: [{
                    selector: 'plone-view',
                    template: "<h1>{{ context.title }}</h1>\n  <div [innerHTML]=\"text\"></div>\n  <ul *ngIf=\"context.items\">\n    <li *ngFor=\"let item of context.items\">\n      <a [traverseTo]=\"item['@id']\">{{ item.title}}</a>\n    </li>\n  </ul>"
                },] },
    ];
    /** @nocollapse */
    ViewView.ctorParameters = function () { return [
        { type: Services, },
    ]; };
    return ViewView;
}(TraversingComponent));
export { ViewView };
