export interface Term<T extends number | string = string> {
    '@id': string;
    token: T;
    title: string;
}
export declare class Vocabulary<T extends number | string = string> implements Iterable<Term<T>> {
    protected _terms: Term<T>[];
    protected _byToken: any;
    constructor(terms: Term<T>[]);
    terms(): Term<T>[];
    byToken(token: T): Term<T>;
    [Symbol.iterator](): Iterator<Term<T>>;
}
